<!--<h2>Driver Data</h2>

<table>
  <th>ID
  <tr *ngFor = "let element of elements" ><br>{{element._id}}</tr>
  </th>

  <th>name
      <tr *ngFor = "let element of elements" ><br>{{element.driver_name}}</tr>
      </th>

      <th>asset ID
          <tr *ngFor = "let element of elements" ><br>{{element.assetId}}</tr>
          </th>

          <th>driver ID
              <tr *ngFor = "let element of elements" ><br>{{element.driverId}}</tr>
              </th>
</table>-->

<div class="myclass">
  <table class="mat-elevation-z8" mat-table [dataSource]="dataSource">

    <!-- name Column -->
    <ng-container matColumnDef="name">
      <th  mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.driver_name}} </td>
    </ng-container>
   <!--<ng-container matColumnDef="id">
      <th  mat-header-cell *matHeaderCellDef> ID </th>
      <td mat-cell *matCellDef="let element"> {{element._id}} </td>
    </ng-container>-->
    <ng-container matColumnDef="driver id">
      <th  mat-header-cell *matHeaderCellDef> Driver ID </th>
      <td mat-cell *matCellDef="let element"> {{element.driverId}} </td>
    </ng-container>
    <ng-container matColumnDef="asset id">
      <th  mat-header-cell *matHeaderCellDef> Asset ID </th>
      <td mat-cell *matCellDef="let element"> {{element.assetId}} </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator class = "page" [length] = "100" [pageSizeOptions]="[3,6,9]"></mat-paginator>
</div>